/* Mobile First */
*{
    border:none;
    box-sizing: border-box;
    letter-spacing: 0px;
    line-height: 1;
    margin: 0;
    padding: 0;
    text-decoration: none;
}
body{
    background-color: #fff;
    color: #1F1F1F;
    font-family: 'Libre Franklin', 'normal', sans-serif;
    height: auto;
    max-width: 100%;
}
#loader{
    align-content: center;
    align-items: center;
    display: flex;
    height: 350px;
    justify-content: center;
    width: 100%;
}
.mainCtn{
    margin: 0 auto;
    max-width: 1168px;
    width: 100%;
}
.candidatesCtn{
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    width: 100%;   
}
.candidate{
    align-items: center;
    border-bottom: 1px solid #E0E0E0;
    display: grid;
    grid-template-columns: 30% 1fr;
    justify-items: center;
    justify-content: center;
    padding: 15px 10px 15px 0;
    width: 100%;
}
.imgCtn{
    width: 75%;
}
.img{
    border-radius: 50%;
    height: 100%;
    width: 100%;
}
.dataCtn{
    align-content: center;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}
.candidateName{
    font-size: 19px;
    font-weight: bold;
    margin-bottom: 5px;
    width: 100%;
}
.partyName{
    font-size: 14px;
    color: #666;
}
.votesPercentage{
    font-size: 23px;
    font-weight: bold;
}
.itCtn{
    align-content: center;
    align-items: center;
    display: flex;
    justify-content: center;
    margin-top: 10px;
    padding: 10px;
}
.itLabel,.itPercentage,.itTotalVotes{
    font-size: 14px;
    margin-right: 8px;
}
.itPercentage{
    font-weight: bolder;  
}

@media only screen and (min-width: 600px){
    .candidatesCtn{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        width: 100%;   
    }
    .candidate{
        width: calc(470px*0.65);
        height: calc(240px*0.65);
        border: 1px solid #E0E0E0;
        border-radius: 10px;
        margin: calc(20px*0.65) 4px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding: calc(15px*0.65) 0;
    }
    .imgCtn{
        width: calc(175px*0.60);
        height: calc(175px*0.60);
        margin: 0 calc(25px*0.60);
    }
    .dataCtn{
        flex-direction: column;
        align-items: flex-start;
        width: calc(245px*0.65);
    }
    .nameCtn{
        width: 100%;
    }
    .candidateName{
        font-size: calc(23px*0.80);
        margin: 0;
    }
    .partyName{
        font-size: calc(16px*0.80);
        margin: calc(14px*0.80) 0;
    }
    .votesPercentage{
        font-size: calc(44px*0.80);
    }
    .itCtn{
        justify-content: center;
        padding: 0;
    }
    .itLabel,.itPercentage,.itTotalVotes{
        font-size: 16px;
        margin-right: 10px;
    }
}

@media only screen and (min-width: 1000px){
    .candidate{
        width: 470px;
        height: 240px;
        margin: 15px;
    }
    .imgCtn{
        width: 175px;
        height: 175px;
        margin: 0 25px;
    }
    .dataCtn{
        width: 245px;
    }
    .candidateName{
        font-size: 23px;
    }
    .partyName{
        font-size: 16px;
        margin: 14px 0;
    }
    .votesPercentage{
        font-size: 44px;
    }
}
